Package org.opentcs.data.model.visualization

# Class VisualLayout

java.lang.Object
org.opentcs.data.TCSObject<VisualLayout>
org.opentcs.data.model.visualization.VisualLayout

All Implemented Interfaces:
  `java.io.Serializable`

    public class VisualLayout
    extends TCSObject<VisualLayout>
    implements java.io.Serializable

Describes the visual attributes of a model.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class org.opentcs.data.TCSObject

  `reference`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VisualLayout​(java.lang.String name)` | Creates a new VisualLayout.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<LayerGroup>` | `getLayerGroups()` | Returns the layer groups of this layout.
  `java.util.List<Layer>` | `getLayers()` | Returns the layers of this layout.
  `java.util.Set<LayoutElement>` | `getLayoutElements()` | Deprecated.
  `double` | `getScaleX()` | Returns this layout's scale on the X axis (in mm/pixel).
  `double` | `getScaleY()` | Returns this layout's scale on the Y axis (in mm/pixel).
  `TCSObject<VisualLayout>` | `withHistory​(ObjectHistory history)` | Creates a copy of this object, with the given history.
  `TCSObject<VisualLayout>` | `withHistoryEntry​(ObjectHistory.Entry entry)` | Creates a copy of this object, with the given history entry integrated.
  `VisualLayout` | `withLayerGroups​(java.util.List<LayerGroup> layerGroups)` | Creates a copy of this object, with the given layer groups.
  `VisualLayout` | `withLayers​(java.util.List<Layer> layers)` | Creates a copy of this object, with the given layers.
  `VisualLayout` | `withLayoutElements​(java.util.Set<LayoutElement> layoutElements)` | Deprecated.
  `VisualLayout` | `withProperties​(java.util.Map<java.lang.String,​java.lang.String> properties)` | Creates a copy of this object, with the given properties.
  `VisualLayout` | `withProperty​(java.lang.String key, java.lang.String value)` | Creates a copy of this object, with the given property integrated.
  `VisualLayout` | `withScaleX​(double scaleX)` | Creates a copy of this object, with the given scaleX.
  `VisualLayout` | `withScaleY​(double scaleY)` | Creates a copy of this object, with the given scaleY.

  ### Methods inherited from class org.opentcs.data.TCSObject

  `equals, getHistory, getName, getProperties, getProperty, getReference, hashCode, listWithoutNullValues, mapWithoutNullValues, propertiesWith, setWithoutNullValues, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VisualLayout

    public VisualLayout​(java.lang.String name)
    Creates a new VisualLayout.
    Parameters:
      `name` - This visual layout's name.

- ## Method Details

  - ### withProperty

    public VisualLayout withProperty​(java.lang.String key, java.lang.String value)
    Description copied from class: `TCSObject`
    Creates a copy of this object, with the given property integrated.
    Specified by:
      `withProperty` in class `TCSObject<VisualLayout>`
    Parameters:
      `key` - The key of the property to be changed.
      `value` - The new value of the property, or `null`, if the property is to be removed.
    Returns:
      A copy of this object, with the given property integrated.

  - ### withProperties

    public VisualLayout withProperties​(java.util.Map<java.lang.String,​java.lang.String> properties)
    Description copied from class: `TCSObject`
    Creates a copy of this object, with the given properties.
    Specified by:
      `withProperties` in class `TCSObject<VisualLayout>`
    Parameters:
      `properties` - The properties.
    Returns:
      A copy of this object, with the given properties.

  - ### withHistoryEntry

    public TCSObject<VisualLayout> withHistoryEntry​(ObjectHistory.Entry entry)
    Description copied from class: `TCSObject`
    Creates a copy of this object, with the given history entry integrated.
    Specified by:
      `withHistoryEntry` in class `TCSObject<VisualLayout>`
    Parameters:
      `entry` - The history entry to be integrated.
    Returns:
      A copy of this object, with the given history entry integrated.

  - ### withHistory

    public TCSObject<VisualLayout> withHistory​(ObjectHistory history)
    Description copied from class: `TCSObject`
    Creates a copy of this object, with the given history.
    Specified by:
      `withHistory` in class `TCSObject<VisualLayout>`
    Parameters:
      `history` - The history.
    Returns:
      A copy of this object, with the given history.

  - ### getScaleX

    public double getScaleX()
    Returns this layout's scale on the X axis (in mm/pixel).
    Returns:
      This layout's scale on the X axis.

  - ### withScaleX

    public VisualLayout withScaleX​(double scaleX)
    Creates a copy of this object, with the given scaleX.
    Parameters:
      `scaleX` - The value to be set in the copy.
    Returns:
      A copy of this object, differing in the given value.

  - ### getScaleY

    public double getScaleY()
    Returns this layout's scale on the Y axis (in mm/pixel).
    Returns:
      This layout's scale on the Y axis.

  - ### withScaleY

    public VisualLayout withScaleY​(double scaleY)
    Creates a copy of this object, with the given scaleY.
    Parameters:
      `scaleY` - The value to be set in the copy.
    Returns:
      A copy of this object, differing in the given value.

  - ### getLayoutElements

    @Deprecated @ScheduledApiChange(details="Will be removed.", when="6.0") public java.util.Set<LayoutElement> getLayoutElements()
    Deprecated.
    Returns the layout elements describing the visualization of a model.
    Returns:
      The layout elements describing the visualization of a model.

  - ### withLayoutElements

    @Deprecated @ScheduledApiChange(details="Will be removed.", when="6.0") public VisualLayout withLayoutElements​(java.util.Set<LayoutElement> layoutElements)
    Deprecated.
    Creates a copy of this object, with the given layoutElements.
    Parameters:
      `layoutElements` - The value to be set in the copy.
    Returns:
      A copy of this object, differing in the given value.

  - ### getLayers

    public java.util.List<Layer> getLayers()
    Returns the layers of this layout.
    Returns:
      The layers of this layout.

  - ### withLayers

    public VisualLayout withLayers​(java.util.List<Layer> layers)
    Creates a copy of this object, with the given layers.
    Parameters:
      `layers` - The value to be set in the copy.
    Returns:
      A copy of this object, differing in the given value.

  - ### getLayerGroups

    public java.util.List<LayerGroup> getLayerGroups()
    Returns the layer groups of this layout.
    Returns:
      The layer groups of this layout.

  - ### withLayerGroups

    public VisualLayout withLayerGroups​(java.util.List<LayerGroup> layerGroups)
    Creates a copy of this object, with the given layer groups.
    Parameters:
      `layerGroups` - The value to be set in the copy.
    Returns:
      A copy of this object, differing in the given value.